name: 'Open Axia Setup'
description: 'Instalar y configurar módulos esenciales para Axia en Drupal 10.'
type: 'Development'

# Módulos a instalar
install:
  # Administración esencial
  - admin_toolbar
  - admin_toolbar_tools
  - ctools
  
  # SEO y URLs
  - pathauto
  - token
  - metatag
  
  # Seguridad
  - antibot
  - flood_control
  
  # Sistema de contenido
  - paragraphs
  - entity_reference_revisions
  - linkit
  - chosen
  - chosen_field

  # Media
  - media_library_form_element
  - svg_image
  
  # Layout Builder (si lo usas)
  - layout_builder
  - bootstrap_layout_builder
  - bootstrap_styles
  - layout_builder_blocks

config:
  strict: false
  import:
    field:
      - field.storage.node.field_videos
      - field.storage.node.field_adjuntos
      - field.storage.node.field_telefono
      - field.storage.node.field_tener_en_cuenta
      - field.storage.node.field_tags
      - field.storage.node.field_requisitos
      - field.storage.node.field_que_es
      - field.storage.node.field_oficinas_dependencias
      - field.storage.node.field_link
      - field.storage.node.field_nota
      - field.storage.node.field_imagen_destacada
      - field.storage.node.field_image
      - field.storage.node.field_galeria_imagenes
      - field.storage.node.field_donde_realiza
      - field.storage.node.field_correo_electronico
      - field.storage.node.field_copete
      - field.storage.node.field_contacto
      - field.storage.node.field_como_se_hace
      - field.storage.node.field_colgado
      - field.storage.node.field_cargo
      - field.storage.node.field_categoria
      - field.storage.node.field_agrupador
      
      - field.storage.node.layout_builder__layout

    node:
      - node.type.autoridades
      - field.field.node.autoridades.body
      - field.field.node.autoridades.field_adjuntos
      - field.field.node.autoridades.field_cargo
      - field.field.node.autoridades.field_copete
      - field.field.node.autoridades.field_correo_electronico
      - field.field.node.autoridades.field_imagen_destacada
      - field.field.node.autoridades.field_telefono
      - core.entity_view_display.node.autoridades.default
      - core.entity_view_display.node.autoridades.teaser
      - core.entity_form_display.node.autoridades.default

    bootstrap_layout_builder:
      - bootstrap_layout_builder.settings
      - bootstrap_layout_builder.layout.blb_col_1
      - bootstrap_layout_builder.layout.blb_col_2